/*
 * Copyright (c) 2010 by Intevation GmbH
 *
 * This program is free software under the LGPL (>=v2.1)
 * Read the file LGPL.txt coming with the software for details
 * or visit http://www.gnu.org/licenses/ if it does not exist.
 */

package de.intevation.gnv.jfreechart;

/**
 * This interface describes a single method generating labels by given Series.
 *
 * @author <a href="mailto:sascha.teichmann@intevation.de">Sascha L. Teichmann</a>
 */
public interface PolygonSeriesLabelGenerator
{
    /**
     *
     * @param series The given series.
     * @return A label for this series.
     */
    String generateLabel(PolygonSeries series);
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf-8 :
